Uploaded image for project: 'CXF'
  1. CXF
  2. CXF-7599

The apache-cxf-3.2.1-features.xml for karaf OSGi is not correct enough

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.2.0, 3.2.1
    • Fix Version/s: 3.2.2
    • Component/s: OSGi
    • Labels:
      None
    • Environment:

      Java 8

    • Estimated Complexity:
      Unknown

      Description

      Start karaf 4.1.3 or 4.2.0.M1 container, try to install cxf-jaxrs-cdi feature:
      feature:repo-add mvn:org.apache.cxf.karaf/apache-cxf/3.2.1/xml/features
      feature:install cxf-jaxrs-cdi

      100 │ Active │ 80 │ 1.0.0.RC2 │ OPS4J Pax CDI Bean Bundle API
      101 │ Active │ 80 │ 1.0.0.SNAPSHOT │ OPS4J Pax CDI Bean Bundle API
      102 │ Active │ 80 │ 1.0.0.RC2 │ OPS4J Pax CDI Extender for Bean Bundles
      103 │ Resolved │ 80 │ 1.0.0.SNAPSHOT │ OPS4J Pax CDI Extender for Bean Bundles
      104 │ Active │ 80 │ 1.0.0.RC2 │ OPS4J Pax CDI Portable Extension for OSGi
      105 │ Active │ 80 │ 1.0.0.SNAPSHOT │ OPS4J Pax CDI Portable Extension for OSGi
      106 │ Active │ 80 │ 1.0.0.RC2 │ OPS4J Pax CDI Service Provider Interface
      107 │ Active │ 80 │ 1.0.0.SNAPSHOT │ OPS4J Pax CDI Service Provider Interface
      108 │ Active │ 80 │ 1.0.0.RC2 │ OPS4J Pax CDI Weld Adapter

      There are multi versions of CDI bundles are installed (1.0.0.RC2, 1.0.0.SNAPSHOT), which is not expected. the cause is this repository statement in the apache-cxf-3.2.1-features.xml

      <repository>mvn:org.ops4j.pax.cdi/pax-cdi-features/[1.0.0.RC1,2)/xml/features</repository>

      It states pax-cdi-features as version range insteadof real version normally.

      The other failed test case is, when you try to adding some CXF 3.2.1 features into custom container using karaf-maven-plugin, you will have ERROR:

      [ERROR] Failed to execute goal org.apache.karaf.tooling:karaf-maven-plugin:4.1.4:features-add-to-repository (add-features-to-repo)
      on project talend-esb: Error populating repository: Can't resolve artifact org.ops4j.pax.cdi:pax-cdi-features:xml:features:[1.0.0
      .RC1,2): Could not find artifact org.ops4j.pax.cdi:pax-cdi-features:xml:features:[1.0.0.RC1,2) in springsource.release (http://rep
      ository.springsource.com/maven/bundles/release)

        Attachments

          Activity

            People

            • Assignee:
              ffang Freeman Yue Fang
              Reporter:
              xldai Xilai Dai
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: